Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Plant(s) Road Permit Permit# 2020-02212, UID# 2759
App. Status: Expired

Valid: 02/13/2020 - 02/16/2020
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2474 (02/12/2020)

Charge Cost Quantity Total
Non-Taxable
added 02/12/2020 10:04 AM

Compliant 140,001 - 145,000 lbs

$80.00 x 1 $80.00
added 02/12/2020 10:04 AM

Fee for over length permit

$30.00 x 1 $30.00
added 02/12/2020 9:55 AM

Select this fee if the empty load is overlength. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
added 02/12/2020 10:04 AM

Fee for over width permit

$30.00 x 1 $30.00
Grand Total
Total $170.00
Payment 02/13/2020$170.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
Applicanttom r. volk - 02/12/2020 9:57 AM
69ed386dd2859fdbafb37ac597692969
c6408377a939eaf2ca25053dfff56fdd
 
#1 Permit Issuing OfficialRachel Grimm - 02/12/2020 10:05 AM
719b1976daf72112b2f26efff85bd529
62a4be8c70c61f28abcbd564c4154425
 
Permit has been approved. All signatures have been obtained.